/* $Id: page.h 23 2023-03-16 04:43:38Z nishi $ */
#ifndef __NIKKEL_PAGE_H__
#define __NIKKEL_PAGE_H__

#include <nikkel/config.h>

#define VERSION_TEMPLATE	"[Title|Nikkel Version Info]\n"\
				"[PageTitle|Nikkel Version Info]\n"\
				"[Section|Version ([NikkelVersion])]\n"\
				"[Code][NikkelVersion][/Code]\n"\
				"[Section|Revision Date ([NikkelRevDate])]\n"\
				"[Code][NikkelRevDate][/Code]\n"\
				"[Section|Server System ([NikkelServerSystem])]\n"\
				"[Code][ServerSystem][/Code]\n"

void nikkel_parse_page(struct nikkel_config* config, const char* path);

#endif
