/* $Id: parse.h 22 2023-03-16 04:22:53Z nishi $ */
#ifndef __NIKKEL_PARSE_H__
#define __NIKKEL_PARSE_H__

#include <nikkel/config.h>

#include <stdio.h>

struct nikkel_parsed {
	char* p_title;
	char* p_pagetitle;
	char* p_body;
	char** p_category;
	char p_section;
	char p_forbid;
};

enum PLACE {
	TABLE_LEFT = 0,
	TABLE_RIGHT,
	SECTION_LEFT,
	SECTION_RIGHT
};

struct nikkel_parsed* nikkel_parse(struct nikkel_config* config, FILE* f, const char* content);
void nikkel_parsed_free(struct nikkel_parsed* parsed);

char* nikkel_parse_category(struct nikkel_config* config, char* category);

#endif
